import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Contact } from "../models/contact.model";

@Injectable({ providedIn: 'root' })
export class ContactService {

    constructor(private http: HttpClient) { }
    url: string;
    listContact: Contact[] = [
        {
            id: 1,
            ctName: 'เกม',
            ctDesc: 'กดจองแล้ว รายการจองไม่ขึ้น',
            ctTab: 'รายการอุปกรณ์',
            ctHead: 'กดจองไม่ได้',
            ctStatus: 0,
            sDate: '2021-12-17'
        },
    ]

    addContact(model: Contact) {
        this.listContact.push(model);
        this.listContact.reverse
    }

    updateContact(row_obj: Contact) {
        this.listContact = this.listContact.filter((value, key) => {
            if (value.id === row_obj.id) {
                value = row_obj;
            }
            return true;
        });
    }

    getListContact() {
        return this.listContact;
    }
}

